Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.get_file_content(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.getFileContent({
vectorStoreId: "vs_abc123",
fileId: "file-abc123",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.VectorStores.GetFileContentAsync(
vectorStoreId: "vs_abc123",
fileId: "file-abc123"
);
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"file_id": "file-abc123",
"filename": "user-guide.pdf",
"attributes": {
"category": "manual",
"version": "2.0"
},
"content": [
{
"type": "text",
"text": "Reset your password from Settings > Security."
}
]
}Vector Stores
Recuperar contenido del archivo analizado
Recupera el contenido analizado completo de un archivo dentro de un almacén vectorial. Devuelve 410 una vez que el almacén vectorial ha expirado.
GET
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
/
files
/
{file_id}
/
content
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.get_file_content(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.getFileContent({
vectorStoreId: "vs_abc123",
fileId: "file-abc123",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.VectorStores.GetFileContentAsync(
vectorStoreId: "vs_abc123",
fileId: "file-abc123"
);
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"file_id": "file-abc123",
"filename": "user-guide.pdf",
"attributes": {
"category": "manual",
"version": "2.0"
},
"content": [
{
"type": "text",
"text": "Reset your password from Settings > Security."
}
]
}Autorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
La identificación del almacén de vectores.
El ID del archivo dentro del almacén de vectores.
Respuesta
200 - application/json
Está bien
El contenido analizado de un archivo de tienda de vectores.
¿Esta página le ayudó?
⌘I